# Get Receiver

## Get Receiver By ID

<mark style="color:green;">`GET`</mark> `/api/receiver/<id>`

Get a receiver data under subaccount by ID.

**Headers**

| Name        | Value     |
| ----------- | --------- |
| `x-api-key` | `<token>` |
| `signature` | `<token>` |

#### Example request

```
/api/receiver/8ae6b25e-d08f-4391-84ae-fa7bd061b9ee
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Receiver found",
    "payload": {
        "id": "8ae6b25e-d08f-4391-84ae-fa7bd061b9ee",
        "first_name": "Xcel",
        "last_name": "Tesla",
        "middle_name": "",
        "email": "ex@teslastudio.com",
        "gender": "M",
        "dob": "1973-12-12",
        "dialcode": "61",
        "phone": "483908899",
        "applicant_id": "65f272e2341af77124132294",
        "kyc_status": "pending",
        "status": "pending",
        "created_at": "1710387933592",
        "address_data": {
            "address": "992A Stanley St E",
            "address2": "",
            "city": "East Brisbane",
            "state": "QLD",
            "country": "AUS",
            "postcode": "6008"
        },
        "reference": "ref-xcel"
    }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "Get receiver failed",
    "error": [
        {
            "code": "REVR101",
            "message": "Receiver ID not found"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Get Receiver list

<mark style="color:green;">`GET`</mark> `/api/receiver`

Get receiver list under subaccount.

**Headers**

| Name        | Value     |
| ----------- | --------- |
| `x-api-key` | `<token>` |
| `signature` | `<token>` |

#### Request query parameter

<table><thead><tr><th>Name</th><th width="164">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>subaccount_id</code><mark style="color:red;">*</mark></td><td>string</td><td>Subaccount ID</td></tr><tr><td><code>limit</code></td><td>string</td><td>Limit of request data.</td></tr><tr><td><code>status</code></td><td>string</td><td>Filter by receiver status.<br><strong>0 = CREATING</strong><br><strong>1 = PENDING</strong><br><strong>2 = ACTIVE</strong><br><strong>3 = INACTIVE</strong><br><strong>4 = FAILED</strong></td></tr><tr><td><code>kyc_status</code></td><td>string</td><td>Filter by receiver KYC status.<br><strong>0 = PENDING</strong><br><strong>1 = COMPLETED</strong><br><strong>2 = FAILED</strong></td></tr><tr><td><code>first_name</code></td><td>string</td><td>Filter by first name<br></td></tr><tr><td><code>last_name</code></td><td>string</td><td>Filter by last name</td></tr><tr><td><code>middle_name</code></td><td>string</td><td>Filter by middle name</td></tr><tr><td><code>gender</code></td><td>string</td><td>Filter by gender<br><strong>M = Male</strong><br><strong>F = Female</strong></td></tr><tr><td><code>dob</code></td><td>string</td><td>Filter by date of birth<br>format <strong>'YYYY-MM-DD'</strong></td></tr><tr><td><code>email</code></td><td>string</td><td>Filter by email</td></tr><tr><td><code>dialcode</code></td><td>string</td><td>Filter by dial code</td></tr><tr><td><code>phone</code></td><td>string</td><td>Filter by phone number</td></tr><tr><td><code>address</code></td><td>string</td><td>Filter by address</td></tr><tr><td><code>address2</code></td><td>string</td><td>Filter by address2</td></tr><tr><td><code>city</code></td><td>string</td><td>Filter by city</td></tr><tr><td><code>state</code></td><td>string</td><td>Filter by state</td></tr><tr><td><code>country</code></td><td>string</td><td>Filter by country in alpha-3 codes<br><strong>AUS</strong></td></tr><tr><td><code>postcode</code></td><td>string</td><td>Filter by postcode</td></tr><tr><td><code>reference</code></td><td>string</td><td>Filter by receiver reference</td></tr><tr><td><code>lastkey</code></td><td>string</td><td>Lastkey to get next page of request data list</td></tr></tbody></table>

&#x20;<mark style="color:red;">\*</mark> is mandatory parameter

#### Example query parameter request

```
/api/receiver?subaccount_id=3dc81811-8cdb-49c6-8f9e-9125ea4540b0&status=2&kyc_status=1&limit=2
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Receiver found",
    "payload": [
        {
          {
            "id": "7e4b88bf-9b99-4d3e-8a93-dc5e91b6ce2c",
            "first_name": "Marina",
            "last_name": "Quartz",
            "middle_name": "",
            "email": "marina@studioquartz.com",
            "gender": "F",
            "dob": "1986-07-24",
            "dialcode": "44",
            "phone": "7712345678",
            "kyc_status": "pending",
            "status": "pending",
            "created_at": "1710023456789",
            "address_data": {
                "address": "111/22222",
                "address2": "Paklok Rd",
                "state": "PK",
                "city": "Phuket",
                "country": "THA",
                "postcode": "83110"
            },
            "reference": "ref-marina-1"
        },
        {
            "id": "9b3773e1-cb8e-4b9a-bc68-4e5011b8d30f",
            "first_name": "Leonardo",
            "last_name": "Fibonacci",
            "middle_name": "",
            "email": "leonardo@fibonaccistudios.com",
            "gender": "M",
            "dob": "1990-03-14",
            "dialcode": "39",
            "phone": "4881234567",
            "kyc_status": "pending",
            "status": "pending",
            "created_at": "1710112233445",
            "address_data": {
                "address": "55/66666",
                "address2": "Renaissance Road",
                "state": "RR",
                "city": "Florence",
                "country": "ITA",
                "postcode": "50125"
            },
            "reference": "ref-leonardo-1"
        }
    ],
    "lastkey": "eyJlbnRpdHkiOiJSRVZSIyIsIlBLIjoiUkVWUiMyZTg1MGY1ZS1iMzQ2LTRlOWEtYjhkNi1hYWVjMzE5YTkwOWQiLCJTSyI6IlNVQkEjM2RjODE4MTEtOGNkYi00OWM2LThmOWUtOTEyNWVhNDU0MGIwIiwiY3JlYXRlZF9hdCI6IjE3MTk5ODAzOTM4MTYifQ=="
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payswiftly.io/payout-api/receiver/get-receiver.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
